Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04741 Sound Minor Always Mar 26, 2012, 22:17 Apr 13, 2012, 04:14
Tester Tempora View Status Public Platform MAME (Official Binary)
Assigned To hap Resolution Fixed OS Windows Vista/7 (64-bit)
Status [?] Resolved Driver xmen.cpp
Version 0.145 Fixed in Version 0.145u6 Build 64-bit
Summary 04741: xmen: Instruments in the music are playing back at the wrong volume
Description Based off a recording from the actual PCB found in this link:


and from the soundtrack album (which does correspond to the PCB recording), the synthesized instrumention that make up the main melody are played much too loud while the accompanying instrumentation consisting of PCM samples are played too quiet/soft.
Steps To Reproduce Run the game.
Additional Information
Flags Verified with Original
Regression Version
Affected Sets / Systems xmen
Attached Files
mp3 file icon 01. All that Xmen.mp3 (1,413,120 bytes) Mar 26, 2012, 22:17 Uploaded by Tempora
Attract mode intro music
mp3 file icon 02. Code 1012.mp3 (1,898,496 bytes) Mar 26, 2012, 22:21 Uploaded by Tempora
Character select screen music
mp3 file icon 04. Here Comes the Hero.mp3 (5,894,144 bytes) Mar 26, 2012, 22:24 Uploaded by Tempora
Stage 1 music
Relationships
related to 06607Resolvedhap xmen and clones: Instruments in the music are playing back at the wrong volume (regression) 
Notes
10
User avatar
No.08417
Tempora
Tester
Mar 27, 2012, 04:18
edited on: Mar 27, 2012, 05:26
Possible fix:
From experimenting with the sound chips' volume controls in the "Slider Controls" from the tab menu:
lower the volume of the YM2151 to 0.31 on both speakers
raise the volume of the K054539 to 2.00 on both speakers

These adjustments give a playback that matches very closely to the PCB recording.
User avatar
No.08419
hap
Developer
Mar 27, 2012, 18:04
edited on: Mar 27, 2012, 18:24
Volume balancing is often not perfect in MAME if a game has more than 1 soundchip.
Generally, you wouldn't want to raise volume to 2.00 if it's not necessary. For example in this case, you could lower the 2151 to ~0.15 and leave the other at 1.00

*edit* hmm, even after lowering 2151 volume, k054539 sounds so much better in that video than MAME, there's more going on than just soundchip volume balance.
User avatar
No.08421
Fujix
Administrator
Mar 28, 2012, 05:07
Attached mp3s are from soundtrack CD, we must consider some sort of effects (delay, echo) are added when using them for finding out better sound proportion.
User avatar
No.08422
Fujix
Administrator
Mar 28, 2012, 11:07
edited on: Mar 28, 2012, 11:19
In the YouTube movie intro scene, where the man says "Go and save the city", the voice has an echo effect, but in MAME it is cut out and a noise sound is played instead.

And if the YT capture is trustworthy, K054539 should have some sort of low pass filter.

And according to the soundtrack, YM2151 will be approximately 0.4 against K054539 being 2.0.
User avatar
No.08426
hap
Developer
Apr 1, 2012, 13:15
Improved in 145u6: YM2151 = 0.2, K054539 = 1.0
Should this report be set to resolved? I still think the sound emulation is inaccurate but this isn't due to volume balancing.
User avatar
No.08427
Fujix
Administrator
Apr 1, 2012, 18:29
Exactly hap, this is everything we can do for the time being.
User avatar
No.08435
Tempora
Tester
Apr 8, 2012, 00:58
When the attract intro arrives at the title screen, the announcement of "X-Men" has an echo effect that is also not present in MAME. The same missing echo effect from Professor X's "Go Save the City" was noted by Fujix.

The bass is much deeper in both the PCB recording and the soundtrack version, which is probably what hap is referring to when noting that the "k054539 sounds so much better in that video."

Either the K054539 hardware emulation is incomplete or there is post-processing done to the sound (by the CPU or K054539) and it is not being processed in MAME (think EAX effects done in Creative Labs sound card). This is just speculation on my part, so feel free to shoot it down if you need to.
User avatar
No.08439
Kitsune Sniper
Tester
Apr 9, 2012, 02:50
edited on: Apr 9, 2012, 02:52
You should NOT take the soundtrack CD's audio levels as concrete proof. I've listened to some Konami soundtracks of the era and they added a truly godawful echo effect to them that just makes everything sound really bad.

The audio levels in the video sound reasonably close to what I remember, though. I'll test the game in the latest u release to be sure.
User avatar
No.08441
Tempora
Tester
Apr 9, 2012, 06:29
edited on: Apr 9, 2012, 06:36
The echo effect isn't used in the music exclusively; the echo effect is applied pervasively to the sound effects as well.
From my observation of the YT video linked here, these are the sounds that have an echo applied to them but is not emulated in MAME:
1) Player character death scream during gameplay
2) Professor X's voice. Seriously, his voice always echoes no matter where he is. Very noticeable in cut scenes.
3) The boss intro monologues. This is especially observable in the final boss fight with Magneto since the players couldn't interrupt his speech when he says "I am Magneto, master of magnet." as well as his laughter during the battle.
User avatar
No.08451
Tempora
Tester
Apr 13, 2012, 04:14
edited on: Apr 16, 2012, 23:08
From running through the "sound code" in the service menu and listening to all the sounds in isolation, I'm pretty certain that the static noise pop at the end of most of the voice samples is the glitchy artifact of an unemulated echo effect.